import { KeysType, NavigationActionFn, NavigationActionFnArgs, ListItemId, ListItem, ListItemsMap } from './types';
export declare function getFocusableItemsDefaultImpl(items: ListItem[]): ListItem[];
export declare function getItemsMap(items: ListItem[]): ListItemsMap;
export declare function setItemState(id: ListItemId, patch: Partial<ListItem>, items: ListItem[]): ListItem[];
export declare function setAllItemsState(patch: Partial<ListItem>, items: ListItem[]): ListItem[];
export declare function getKeyActionFn(key: KeysType): NavigationActionFn | null;
export declare function moveFocusToNextItem({ item, context }: NavigationActionFnArgs): void;
export declare function moveFocusToPrevItem({ item, context }: NavigationActionFnArgs): void;
export declare function moveFocusToFirstItem({ context }: NavigationActionFnArgs): void;
export declare function moveFocusToLastItem({ context }: NavigationActionFnArgs): void;
export declare function toggleSelect({ onToggleSelected, isSelected, }: NavigationActionFnArgs): void;
export declare function getNextItem(item: ListItem, items: ListItem[]): ListItem | null;
export declare function getPrevItem(item: ListItem, items: Array<ListItem>): ListItem;
export declare function getDummyItem(id: ListItemId): ListItem;
export declare function getElementId(listId: number, id: ListItemId): string;
